.menuContainer {
  /* display: flex;
    justify-content: center; */
  width: 80%;
  @media (max-width: 48em) {
    width: 90%;
  }
}

.menuGrid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
  @media (max-width: 48em) {
    grid-template-columns: 1fr;
  }
}

.borderRight {
  display: flex;
  justify-content: center;
  border-right: 1px solid rgba(128, 128, 128, 0.5);
  width: 100%;
}

.borderRight:last-child {
  border: none;
}

.cardImage {
  width: 30%;
  @media (max-width: 48em) {
    width: 35%;
  }
}

.tab {
  &[data-active] {
    /* background-color: rgba(0, 201, 0, 0.203); */
    background-color: rgba(29, 160, 200, 0.081);
    border-bottom-width: 3px;
    color: var(--mantine-color-green-6);
    /* font-weight: 600; */
  }
}

.searchField {
  border-bottom: 2px solid var(--primary-color);
  width: 100%;
  height: 2.2rem;
  max-width: 20rem;
  min-width: 10rem;
  @media (max-width: 48em) {
    width: 10rem;
  }
}

.mobileCard {
  @media (max-width: 48em) {
    height: auto;
  }
}

.searchHighlightFlex {
  display: flex;
  justify-content: space-between;
  margin-bottom: 1.5rem;
  gap: 5rem;
  @media (max-width: 48em) {
    flex-direction: column;
    align-items: center;
    gap: 1rem;
  }
}

.dayCardImage {
  width: 15%;
  @media (max-width: 48em) {
    width: 20%;
  }
}

.dayCard {
  width: 25rem;
  @media (max-width: 48em) {
    width: 22rem;
  }
}

.menuHighlightsContainer {
  display: flex;
  gap: 2rem;
  width: 100%;
}

.menuProductCard {
  --card-width: 24rem;
  --card-image-width: 18rem;
  --card-image-height: 18rem;
  width: var(--card-width);
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1rem, 1.25rem;
}

.menuProductImage {
  border-radius: 10px;
  width: var(--card-image-width);
  height: var(--card-image-height);
}

.categoriesHighlightsGrid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  width: 100%;
  gap: 2rem;
}

.categoriesImageContainer {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 16rem;
  border-radius: 10px;
}

.dayFlex {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.itemsFlexContainer {
  display: flex;
  align-items: center;
  gap: 1.5rem;
}

.itemImage {
  width: 6rem;
  border: none;
  border-radius: 10px;
}

.itemFlex {
  display: flex;
  align-items: center;
  gap: 8px;
}

.modalContainer {
  --modal-image-width: 14rem;
  padding: 1rem 2rem;
}

.modalImage {
  width: var(--modal-image-width);
  border: none;
  border-radius: 10px;
}

.categoryContainer {
  display: grid;
  grid-template-areas: "pile";
}

.categoryImage {
  /* height: 32rem; */
  grid-area: pile;
  /* width: 100%; */
}

.categoryText {
  grid-area: pile;
}

.floatingFavoriteButtonContainer {
  width: var(--card-image-width);
  position: absolute;
  z-index: 5;
  text-align: right;
  margin-top: 0.5rem;
}

.floatingFavoriteButtonContainerModal {
  width: var(--modal-image-width);
  /* background-color: blue; */
  position: absolute;
  z-index: 5;
  text-align: right;
  top: 0;
}
